# Collecting document refund

Events that belong to the category `collecting_document_refund`.

<table><thead><tr><th width="115">Type</th><th>Description</th></tr></thead><tbody><tr><td><a href="#collecting_document_refund.created">created</a></td><td>A collecting document refund was created. </td></tr><tr><td><a href="#collecting_document_refund.settled">settled</a></td><td>A collecting document refund was successfully settled and registered.</td></tr><tr><td><a href="#collecting_document_refund.failed">failed</a></td><td>A collecting document refund has failed due to an error.</td></tr></tbody></table>

### Examples

#### collecting\_document\_refund.created

```json
{
  "data": {
    "amount": {
      "amount": 100,
      "currency": "BRL"
    },
    "collecting_document_id": "0194cbda-ccda-c86b-b7c3-464c5344109c",
    "description": "Devolução manual feita por Jessica Barcellos",
    "end_to_end_id": "D49931906202502031257bAqO8f0YhUH",
    "external_id": null,
    "id": "0194cbe3-6145-abc7-d309-b56da0381cd4",
    "origin_id": "8180b04e-e436-44e5-bd24-f6ed79dffe08",
    "origin_type": "console_user",
    "receipt_url": "https://receipts.sandbox.trio.com.br/019108db-d49f-c744-5b79-736a2849ddf5/in_refund/0194cbe3-6145-abc7-d309-b56da0381cd4",
    "reconciliation_id": "0194cbe3-6145-8baa-226c-4eaa75c5ed8a",
    "rule": "manual",
    "transaction_date": null,
    "virtual_account_id": "0194412c-c559-5452-942e-7f4b4975c666"
  },
  "timestamp": "2025-02-03T12:57:44.005471Z",
  "type": "created",
  "category": "collecting_document_refund",
  "context_id": "91978496-c904-40d0-9322-5f2838efb542",
  "context_type": "internet_banking",
  "ref_id": "0194cbe3-6145-abc7-d309-b56da0381cd4"
}
```

#### collecting\_document\_refund.settled

```json
{
  "data": {
    "amount": {
      "amount": 100,
      "currency": "BRL"
    },
    "collecting_document_id": "0194cbda-ccda-c86b-b7c3-464c5344109c",
    "description": "Devolução manual feita por Jessica Barcellos",
    "end_to_end_id": "D49931906202502031257bAqO8f0YhUH",
    "external_id": null,
    "id": "0194cbe3-6145-abc7-d309-b56da0381cd4",
    "origin_id": "8180b04e-e436-44e5-bd24-f6ed79dffe08",
    "origin_type": "console_user",
    "receipt_url": "https://receipts.sandbox.trio.com.br/019108db-d49f-c744-5b79-736a2849ddf5/in_refund/0194cbe3-6145-abc7-d309-b56da0381cd4",
    "reconciliation_id": "0194cbe3-6145-8baa-226c-4eaa75c5ed8a",
    "rule": "manual",
    "transaction_date": "2025-02-03T12:57:44.574180Z",
    "virtual_account_id": "0194412c-c559-5452-942e-7f4b4975c666",
  },
  "timestamp": "2025-02-03T12:57:44.005471Z",
  "type": "settled",
  "category": "collecting_document_refund",
  "context_id": "91978496-c904-40d0-9322-5f2838efb542",
  "context_type": "internet_banking",
  "ref_id": "0194cbe3-6145-abc7-d309-b56da0381cd4",
}
```

#### collecting\_document\_refund.failed

```
// Some code
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.trio.com.br/developers/webooks/events/collecting-document-refund.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
